Package net.shibboleth.idp.attribute.resolver.dc.scripted.impl

# Interface ScriptedSearch

All Superinterfaces:
  `ExecutableSearch`

public interface ScriptedSearch extends ExecutableSearch
`ExecutableSearch` for the `ScriptedDataConnector`. This is not a data searcher per se, but This interface is here to provide the cache key (if relevant) and the `AttributeResolutionContext`.

## Method Summary

Modifier and Type
Method
Description
`AttributeResolutionContext`
`getResolutionContext()`
Get the context associated with this operation.

### Methods inherited from interface net.shibboleth.idp.attribute.resolver.dc.ExecutableSearch

`getResultCacheKey`

## Method Details

### getResolutionContext

@Nonnull AttributeResolutionContext getResolutionContext()
Get the context associated with this operation.

Returns:
  the context associated with this operation